/* You can add global styles to this file, and also import other style files */
@import "~@angular/material/prebuilt-themes/indigo-pink.css";
@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@400;500;600;700&display=swap");

:root {
  --color-white-100: hsl(206, 5%, 100%);
  --color-white-200: hsl(206, 5%, 90%);
  --color-white-300: hsl(206, 5%, 80%);
  --color-white-400: hsl(206, 5%, 60%);
  --color-white-500: hsl(206, 5%, 50%);

  --color-black-100: hsl(213, 23%, 8%);
  --color-black-200: hsl(214, 21%, 6%);
  --color-black-300: hsl(210, 21%, 6%);
  --color-black-400: hsl(216, 22%, 4%);
  --color-black-500: hsl(220, 18%, 3%);

  --color-pink-100: hsl(326, 85%, 90%);
  --color-pink-200: hsl(327, 87%, 80%);
  --color-pink-300: hsl(329, 86%, 70%);
  --color-pink-400: hsl(330, 81%, 60%);
  --color-pink-500: hsl(333, 71%, 50%);

  --color-grey-100: hsl(197, 10%, 87%);

  --shadow-small: 0 1px 3px 0 rgba(0, 0, 0, 0.1),
    0 1px 2px 0 rgba(0, 0, 0, 0.06);
  --shadow-medium: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
    0 2px 4px -1px rgba(0, 0, 0, 0.06);
  --shadow-large: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05);
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  list-style: none;
  list-style-type: none;
  text-decoration: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

html {
  font-size: 100%;
  box-sizing: inherit;
  scroll-behavior: smooth;
  height: -webkit-fill-available;
}

body {
  font-family: "Roboto", sans-serif;
  font-size: clamp(1rem, 2vw, 1.125rem);
  font-weight: 400;
  line-height: 1.5;
  height: -webkit-fill-available;
  color: var(--color-black-100);
  background-color: var(--color-white-100);
}

a,
button {
  cursor: pointer;
  border: none;
  outline: none;
  user-select: none;
  background: none;
  box-shadow: none;
  text-decoration: none;
}

// Elements
.container {
  max-width: 75rem;
  height: 100%;
  margin: 0 auto;
  padding: 0 1.25rem;
}

// Wrapper
.wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
  column-gap: 1rem;
  row-gap: 2rem;
  width: 100%;
  height: 4rem;
  margin: 0 auto;
}

.centered {
  text-align: center;
  vertical-align: middle;
  margin-bottom: 1rem;
}

.center {
  justify-content: center;
  align-items: center;
}

.heading {
  &-xl {
    font-family: inherit;
    font-size: clamp(2.648rem, 6vw, 4.241rem);
    font-weight: 700;
    line-height: 1.15;
    letter-spacing: -1px;
  }

  &-lg {
    font-family: inherit;
    font-size: clamp(2.179rem, 5vw, 3.176rem);
    font-weight: 700;
    line-height: 1.15;
    letter-spacing: -1px;
  }

  &-md {
    font-family: inherit;
    font-size: clamp(1.794rem, 4vw, 2.379rem);
    font-weight: 700;
    line-height: 1.25;
    letter-spacing: -1px;
  }

  &-sm {
    font-family: inherit;
    font-size: clamp(1.476rem, 3vw, 1.782rem);
    font-weight: 600;
    line-height: 1.5;
  }

  &-xs {
    font-family: inherit;
    font-size: clamp(1.215rem, 2vw, 1.335rem);
    font-weight: 500;
    line-height: 1.5;
  }
}

.paragraph {
  font-family: inherit;
  font-size: clamp(1rem, 2vw, 1.125rem);
  line-height: inherit;
  max-width: 95%;
  height: auto;
  text-transform: unset;
  color: var(--color-white-200);
}

.btn {
  display: inline-block;
  font-family: inherit;
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.5;
  text-align: center;
  vertical-align: middle;
  white-space: nowrap;
  user-select: none;
  outline: none;
  border: none;
  border-radius: 0.25rem;
  text-transform: unset;
  transition: all 0.3s ease-in-out;

  &-inline {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    column-gap: 0.5rem;
  }

  &-darken {
    padding: 0.75rem 2rem;
    color: var(--color-white-100);
    background-color: var(--color-black-200);
    box-shadow: var(--shadow-medium);
  }

  &-neutral {
    padding: 0.75rem 2rem;
    color: var(--color-black-500);
    background-color: var(--color-white-100);
    box-shadow: var(--shadow-medium);
  }
}

.mat-mdc-snack-bar-container {
  &.toast-error {
    --mdc-snackbar-container-color: #ff6961;
    --mat-mdc-snack-bar-button-color: #fff;
    --mdc-snackbar-supporting-text-color: #fff;
  }
}

@media only screen and (max-width: 768px) {
  .container {
    padding: 0;
  }
}
